Bug 1461939 - Unable to retrieve list of services
Unable to retrieve list of services
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API (Show other bugs)
5.8.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.9.0
Assigned To: Jillian Tullo
Martin Kourim
:
: 1465379 1467538 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 12:36 EDT by Chris Hale
Modified: 2018-02-14 23:21 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Hale 2017-06-15 12:36:39 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
If you run an API request like 

http://localhost:3001/api/services?expand=resources&attributes=picture%2Cpicture.image_href%2Cchargeback_report%2Cevm_owner.userid%2Cmiq_group.description%2Cv_total_vms%2Cpower_state%2Cpower_states%2Cpower_status%2Call_service_children%2Call_vms%2Ccustom_actions%2Cservice_resources%2Ctags&filter[]=ancestry%3Dnull&limit=20&offset=0&sort_by=created_at&sort_order=desc

Steps to Reproduce:
1. 
2.
3.

Actual results:
{"error":{"kind":"internal_server_error","message":"undefined method `id' for \"on\":String","klass":"NoMethodError"}}

Expected results:


Additional info:
Comment 2 Allen W 2017-06-15 12:41:40 EDT
Looks to be the result of the attribute `power_states` if ya run this
``` GET http://localhost:3001/api/services?expand=resources&attributes=power_states ```
FAILURE!!

remove `power_states` and success! 

So is it a stale attribute? or maybe some how borked?
Comment 3 Allen W 2017-06-15 12:41:47 EDT
Looks to be the result of the attribute `power_states` if ya run this
``` GET http://localhost:3001/api/services?expand=resources&attributes=power_states ```
FAILURE!!

remove `power_states` and success! 

So is it a stale attribute? or maybe some how borked?
Comment 4 Jillian Tullo 2017-06-15 14:51:57 EDT
PR: https://github.com/ManageIQ/manageiq/pull/15387
Comment 5 Ruslana Babyuk 2017-06-27 10:58:57 EDT
*** Bug 1465379 has been marked as a duplicate of this bug. ***
Comment 6 Jillian Tullo 2017-07-05 13:18:47 EDT
*** Bug 1467538 has been marked as a duplicate of this bug. ***
Comment 7 Martin Kourim 2018-01-29 05:47:20 EST
Verified on 5.9.0.17 that
GET /api/services?expand=resources&attributes=power_states
succeeds.

Note You need to log in before you can comment on or make changes to this bug.